EndpointsEpisodes
Get episode request statistics
GET
/v2/episode-requests/{episode_request_id}/episode-statsReturns game and policy statistics for a completed episode request.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Path Parameters
episode_request_id*Episode Request Id
Episode request whose statistics will be returned.
Match
^ereq_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$curl -X GET "https://example.com/v2/episode-requests/string/episode-stats"{ "game_stats": { "property1": 0, "property2": 0 }, "policy_stats": [ { "position": 0, "policy_version_id": "7cd41427-f4be-4006-ab17-5ead7f8f8446", "policy_name": "string", "policy_version": 0, "num_agents": 0, "avg_metrics": { "property1": 0, "property2": 0 }, "avg_reward": 0, "agents": [ { "agent_id": 0, "reward": 0, "metrics": { "action.move.failed": 51, "action.move.success": 623, "action.noop.success": 326, "energy.amount": 8, "energy.gained": 1954, "energy.lost": 1946, "hp.amount": 67, "hp.gained": 1075, "hp.lost": 1008, "junction.aligned_by_agent": 2, "status.max_steps_without_motion": 17 } } ] } ], "steps": 0}